class Quote < ActiveRecord::Base
  belongs_to :user
  has_many :comments
  belongs_to :source
  
  def get_comment_page(page)
    self.comments.order("updated_at DESC").paginate( :page => page, :per_page => 5 )
  end
  
  def self.get_page(page,order)
    if order
      Quote.order("updated_at,evaluation DESC").paginate( :page => page, :per_page => 3)
    else
      Quote.order("updated_at DESC").paginate( :page => page, :per_page => 3)
    end
  end
end
