require 'test_helper'

class QuoteSubmissionTest < ActionDispatch::IntegrationTest
  fixtures :all
  
  test "quote submission" do
    get url_for(:controller=>"quotes", :action=>"new")
    assert_response :redirect
    assert_redirected_to "/quotes/show"
    post_via_redirect '/session/create',
      {:username => users(:me).username,
       :password => 'titok'},
      { "HTTP_REFERER" => '/quotes/show'}
    assert_equal path, '/quotes/show'
    assert_not_nil session[:user]
    assert_equal session[:user], users(:me).id
    get '/quotes/new'
    assert_response :success
    assert_select "a", "Create a new source"
    get '/quotes/add_source'
    assert_redirected_to '/sources/new'
    assert session[:adding_source]
  end
end
